Skip to content

Create share link

POST
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/{invoice_id}/share-link

Create a hosted share link token for invoice access.

invoice_id
required
Invoice Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
InvoiceShareLinkCreateRequest

Create a hosted share link for invoice.

object
expires_in_days
Any of:
integer
>= 1 <= 365
Examples

Request payload example

{
"expires_in_days": 1
}

Successful Response

InvoiceShareLinkResponse

Invoice share link response.

object
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
id
required
Id
string format: uuid
invoice_id
required
Invoice Id
string format: uuid
share_url
required
Share Url
string
expires_at
Any of:
string format: date-time
is_revoked
Is Revoked
boolean
last_accessed_at
Any of:
string format: date-time
Examples

201 response example

{
"created_at": "2026-02-11T10:00:00Z",
"updated_at": "2026-02-11T10:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"share_url": "string",
"expires_at": "2026-02-11T10:00:00Z",
"is_revoked": false,
"last_accessed_at": "2026-02-11T10:00:00Z"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}